Skip to main content
PUT
Update a lookup table in the draft

Authorizations

x-api-key
string
header
required

Path Parameters

heron_id
string
required

Body

application/json
definition
object
required

The whole table, replacing the current one: key (the variable the table is looked up by, as its label or as {"label": ..., "parameters": {...}} with its settings), columns (may be empty for a plain list), rows (each with keys and values) and unlisted (behaviour and values for a key not in the table). Each column has an id, name and type: years, money, number, list or month_window. A month_window column's cells are chosen from its value set (complete_months, fixed in code). A threshold cannot read it

change_description
string | null
Maximum string length: 255

Response

OK

lookup_table
object